Hogyan telepíthetem az Adobe Flash lejátszót?

101

Jelentős problémákat észleltek a 64 bites Ubuntu flash videójának megtekintésekor. Tudja-e valaki, hogy jó módja van ahhoz, hogy a platformon futni lehessen?

    
készlet Steven Oxley 28.07.2010 21:27
forrás

20 válasz

81

11.04-es és korábbi verziók esetén:

Telepíti azt az Ubuntu Szoftverközpontból?

  1. Lépjen az Applications-> > Ubuntu Software Centerre.
  2. Kattintson a Canonical partnerekre
  3. Kattints az Adobe Flash Plugin 11-re, és kattints a telepítésre.

Megjegyzés: ez az a módszer, amit a 64 bites Ubuntu telepítésemben használok, és még nem sikerült.

    
válasz adott Nathan Osman 28.07.2010 21:31
forrás
68

11.10-ig és később

Indítsa el a Szoftverközpontot a Launcher programból, és keressen flash

-et

Két bejegyzés található. Az első az Adobe által kínált 32 bites flash verzió körül. A második a 64 bites flash verzió.

Válassza ki a második vaku bejegyzését - ha a következő kép látható, akkor korábban nem engedélyezte a Canonical Partner Repository szolgáltatást.

Kattintson az További információ

lehetőségre

... és a Használja ezt a forrás lehetőséget a Canonical Partner Repository engedélyezéséhez

nézze meg ennek a válasznak a végét a hibajelentéshez

Kattintson az Telepítés

gombra

Kattintson az Telepítés gombra, és adja meg a jelszavát, amikor a rendszer kéri. Megjegyzés: engedélyt kell adni a szoftver telepítéséhez.

A telepítés folytatódik:

Miután befejezte - indítsa el a Firefoxot, és keresse meg Flash Video-jét. Kattintson a jobb gombbal és ellenőrizze, hogy a Flash legújabb verziója megfelelően van-e telepítve.

Megjegyzés - a változtatásra váró képek - a 64 bites verziót csak a közelmúltban csomagolták a múlt héten a Oneiric kiadása előtt - Egy probléma jelenleg létezik:

  1. link

Időközben - használd az első "Multiverse" 32 bites plugint a fenti képeken, vagy használd aadobe-flashplugin

sudo apt-get install adobe-flashplugin
    
válasz adott fossfreedom 10.10.2011 00:52
forrás
31

Ez az Adobe Flash Plugin telepítése a Firefoxhoz:

  1. Menjen a ez oldalra, és jelölje ki a .tar.gz opciót más Linux számára. Töltse le a fájlt.
  2. Csomagolja ki a tar.gz bővítményt, és másolja a fájlokat a megfelelő helyre.
  3. Helyezze el a tar.gz beépülő modult, és jegyezze fel a fájl helyét.
  4. A terminál indítása és a könyvtárak áthelyezése a mentett helyre.
  5. Csomagolja ki a tar.gz fájlt. A kicsomagolás után a következőket látja:

    • libflashplayer.so
    • / usr
  6. Határozza meg a böngésző bővítményének helyét a Linux disztribúció és a Firefox verzió alapján (általában/usr/lib/mozilla/plugins/)
    Az ubuntu 14.04 elérési útja:/usr/lib/firefox/browser/plugins

  7. Másolja alibflashplayer.so -ot a megfelelő böngésző bővítmények könyvtárába. A prompt típusán:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Másolja a Flash Player Local Settings konfigurációs fájljait a / usr könyvtárba. A prompt típusán:

    sudo cp -r usr/* /usr
    
  9. Most indítsa újra a böngészőt.

válasz adott ignite 04.09.2012 18:36
forrás
21

Mivel kijelentette, hogy ez az első alkalom, amikor valaha is használta az ubuntut. azt javasoljuk, hogy telepítse az Ubuntu-restricted-extrákat, ez magában foglalja a sok hasznos dolgot, mint a véletlen vaku és a kodekek és az MS betűkészletek stb.

ezt sokféle módon teheted meg.

Szoftverközpont: Kattintson erre a linkre:

vagy egy terminálon: írja be asudo apt-get install ubuntu-restricted-extras

parancsot

szinaptikus: keresse meg a ubuntu-restricted-extrák csomagot jobb egérgombbal a csomagra, és válassza ki a telepítést, majd jelölje ki a jelölést. miután rákattintott az alkalmazás gombra, és minden telepíteni fog.

    
válasz adott Terry 02.04.2011 16:02
forrás
13

Egy egyszerű megoldás erre a problémára.

Nyissa meg Firefox , és menjen a Youtube-be . Kattints bármelyik videóra. Határozottan nem fog játszani, mert nincs flash player telepítve. De a Firefox ainstall missing plug-in -ot támogatja. Egyszerűen kattintson rá, és kövesse az eljárást. Ezután a videó lejátszása megkezdődik. Győződjön meg róla, hogy telepítve van a legfrissebb Firefox böngésző.

Vagy próbáld ezt a terminálodban

sudo apt-get install flashplugin-installer
    
válasz adott Kaktarua 04.09.2012 18:38
forrás
5

Szerezd meg az Flash-Aid kiterjesztést a Firefoxhoz. A rendszer gondoskodik a megfelelő verzió letöltéséről és telepítéséről a rendszer architektúrájához, és eltávolítja az ütköző plugineket is. Ha 64 bites vagy, akkor a 64 bites előnézeti verziót is telepítheti, ami jobb eredményt nyújt, mint a 32 bites nspluginwrapper.

BTW, ha nem tudsz semmit átmásolni a ~ / .mozilla / plugins mappába, akkor ellenőrizd a ~ / .mozilla mappát. Lehetővé kell tennie, hogy másoljon ott valamit. Hacsak persze nem a saját könyvtárán kívüli rendszermappát említi, amelyhez root jogosultság szükséges.

    
válasz adott lovinglinux 02.12.2010 13:40
forrás
4

Ez attól függ, hogy milyen böngészőt használ. A Google Chrome (nem Chromium) alapértelmezés szerint Flash player.

Keresse fel a www.google.com/chrome webhelyet, és kattintson a Chrome letöltése gombra. Válassza ki a 64 bites .deb böngészőt (bárki, aki 32 bites gépeken ezt olvassa, válassza ki a 32 bites .deb fájlt)

A .deb fájlra való kattintás után megnyílik a Szoftverközpont. Most kattintson a telepítésre, és ha befejezte, megtalálja a böngészőt az Alkalmazások - > Internet.

    
válasz adott Mozart321 02.04.2011 22:00
forrás
2

Használja az Ubuntu Software Center alkalmazást (az Alkalmazások menüben). A keresőmező szövegbeviteli mezőjében kereshet a "flash" kifejezésre, és az eredmények egy Adobe Flash plugint töltenek fel (vegye figyelembe az Adobe logót). Válassza ezt, és kövesse a forrás használatát.

    
válasz adott Daniel T Chen 01.12.2010 20:14
forrás
2

Ellenőrizze, hogy melyik "plugin" könyvtárat használja. Egyszer csak egy jó órát kellett töltenie, és csak az összes plugin könyvtárat szántotta fel, amíg meg nem találtam, melyiket olvastam ki a tűzfájdalom, majdln -s ed mindegyiket egy közös kifejezésre.

A nap vége lehet, hogy rossz helyre dobja.

Szintén elindítja a parancssori parancsot, hibákat észlelhet. Például egy x86 flash lejátszó futtatása x64 böngészőben (nem os) és fordítva. A parancssorból (%> firefox) meg kell jelennie a plugin inicializálási naplósorainak. (először próbálkozz előbb: P)

Szintén a/usr/lib/... -ban a root tulajdonában van, így asudo cp libflashplayer.so /usr/lib/firefox/plugin -ra kell kattintania, ahol a.../firefox/plugin a Firefox plugin könyvtárának helyére mutat.

    
válasz adott Dmitriy Likhten 01.12.2010 20:51
forrás
2

Határozott javítás a 64 bites Flash-en 11.10-kor

64 bites Flash-et rögzítettem a 11,10-es rendszeremen csomagolóanyagok nélkül. Ha követi a fent említett megoldásokat, akkor továbbra is a 32 bites verziókkal és csomagolásokkal fog véget érni.

Megjegyzés: ennek többsége terminálon is elvégezhető, ebben az esetben nem kell telepíteni a Synapticot. Ezenkívül elegendő lehet az 5, 6 és 8 lépések végrehajtása, de még nem teszteltem.

  1. A Synaptic telepítése (a Szoftverközpont nem jeleníti meg a szükséges csomagot, nem a fő tételekben, és nem a műszaki elemek között, sem pedig a telepítés után)
  2. Indítsa el a Synaptic programot és keressen rá a "flash" kifejezésre
  3. Rendezés telepített állapot szerint
  4. Távolítsa el az összes flashrel kapcsolatos csomagot (pl. flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common stb.). Ha nincs felsorolva, valószínűleg egyáltalán nincs telepítve a Flash. Ebben az esetben csak lépjen tovább a következő lépéshez.
  5. Engedélyezze a Canonical partnertárhelyet (lásd fent a bejegyzéssel kapcsolatos tudnivalókat)
  6. Frissítse a csomaglista (ne számítson a Szoftverközpontban ezt az Ön számára, néha nem) az "Újratöltés" gombra kattintva
  7. Keresd újra a "flash" szót
  8. Telepítse az "adobe-flashplugin" csomagot. Ha nem szerepel a listában, akkor valami baj van a csomaglisták frissítésével. Próbálkozzon a Synapic kilépésével és újraindításával, majd kattintson az "Újratöltés" gombra.

Egy extra csomag, az "adobe-flash-properties-gtk" automatikusan települ. Semmi több.

Most teljes 64 bites Flash-et kapsz wrapperek és egyéb szemetek nélkül mind a Firefoxban, mind a Chromiumban. A böngésző (k) újraindítása azonban szükséges. Ha ez még mindig nem működik, próbálkozzon újraindítással (lehet, hogy valami hamis hivatkozás van a régi pluginekre).

    
válasz adott iGadget 12.11.2011 13:18
forrás
2
sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper
sudo apt-get install --reinstall adobe-flashplugin

Hivatkozás: link

p>     
válasz adott Coc 20.11.2011 11:21
forrás
2

Íme, mit kell tennie: az Ubuntu alapértelmezés szerint csak a nyílt forráskódú szoftverek használatát engedélyezi (véleményem szerint egyébként is ez a helyzet).

A más eszközök (például a Flash, a Java és az MP3 fájlok rögzítésére vagy lejátszására szolgáló támogatás, amely NEM nyílt forráskód) engedélyezi, hogy belépjen a Szoftverközpontba, menjen a menükbe (sajnos jelenleg nem vagyok Ubuntu és nem tudja megmondani, melyik menüt), és keresse meg a szoftverforrásokat.

Kattints rá, és megjelenik egy ablak, amely elmondja az Ubuntu-nak, hogy mit lehet telepíteni az Ön számára. Előtted kell lennie öt különböző "univerzumnak". Amire szükséged van, engedélyezd a két olyan beállítást, amelyek jelenleg nincsenek engedélyezve.

Ezután fel kell kérdeznie, hogy újra szeretné-e tölteni a tárhelyeket, de ha nem, jelentkezzen be egy parancssorba, és írja be

sudo apt-get update

és hagyjuk befejezni. Ezután meg kell tudnia találni a Flash vagy a Szoftverközpontban vagy a parancssorban. Alternatív megoldásként telepítheti az ubuntu-restricted-extras csomagot, amely mind a fent említett három dolgot megadja.

Sok szerencsét!

    
válasz adott Noah 04.09.2012 18:14
forrás
2

Annyi lehetséges javaslatot tettem, amennyit csak találtam, annak érdekében, hogy a 13.10-es 64 bites telepítésemen a Chrome-ban dolgozhassak. Semmi sem működött. Végül megbotlott a Pepper Flash válasz.

Teljes és jól megírt utasítások vannak (közvetlen link)

ubuntuhandbook.org

A részleteket a tárhely hozzáadásával, az apt frissítésével, a Pepper telepítésével és a króm beállítás módosításával részletezik. Az utasításoktól eltérõen az / etc / chromium-böngészõ könyvtárába váltottam, és kiadtam a

parancsot,

sudo gedit default

ami lehetővé tette, hogy a szükséges .sh info mellett hozzáfűzzünk egy megjegyzést a fájlhoz, így a módosított alapértelmezett fájlom utolsó pár sorai:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Remélhetőleg ez a megoldás egy ideje működni fog.

    
válasz adott zenpistolero 03.05.2014 01:58
forrás
2

A Flash-videók nem játszhatók le egy friss Ubuntu 14.04-es verzióban, még aadobe-flashplugin -nál is a "partner" tárból - fekete képernyő jelenik meg a YouTube-on (kivéve a HTML5 használatához , napi mozgás, stb. telepítése. freshplayerplugin (úgy tűnik, egy csomag a Chrome flash-lejátszójára) megoldotta a problémát:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin
    
válasz adott Skippy le Grand Gourou 22.08.2015 09:33
forrás
1

Abban az esetben, ha

sudo apt-get install flashplugin-nonfree

nem működik (mint az én esetemben, és nem tudom, miért ...), érdemes az Opera-t böngésződben próbálni. Ez az egyetlen, ami nekem működik.

PS: Nem akarom hirdetni Opera böngészőt, csak hogy ez volt az egyetlen megoldás, amely valahogy dolgozott nekem.

    
válasz adott Remi Meier 14.08.2010 15:19
forrás
1

Most találtam megoldást azoknak, akik a Flash-en dolgoztak, de nem a Chromiumon. Ez azon a tényen alapul, hogy minden böngésző rendelkezik saját plugin könyvtárával:

  • / usr / lib / firefox-addons / plugins (Firefoxhoz)
  • / usr / lib / króm-böngésző / plug-inek (a krómhoz)

Tehát az egyetlen dolog, amit tennie kell, hogy egyesítse őket, más néven, hogy összekapcsolja a másikval. Valószínűleg minden bővítmény a Firefox pluginok könyvtárában található, de nem érdemes biztosítani:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Ha a Firefox az, ahol minden beépülő modul van, tegye meg a következőt. Ellenkező esetben:

sudo rmdir /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Végül indítsd újra a Chromium-ot, hogy a változások életbe lépjenek.

Valószínűleg nem lenne rossz ötlet létrehozni egy hibajelentést a Chromium / Firefox csomagtartókról, hogy figyelmeztesse a hibára és az egyszerű megoldásra.

    
válasz adott emi 16.08.2012 19:19
forrás
1

Nos, ezt itt teszem közzé, abban a reményben, hogy segítek valakinek. Megmondom, mi történik és hogyan oldtam meg.

Beállítás: katalógusa     A WUBI telepítés 12.04-es futtatása.

Probléma: katalógusa     Amikor az Ubuntu Szoftverközpontban kerestem aflash kulcsszót, az itt felsorolt ​​lehetőségek egyike sem jelent meg, kivéve a ONE-t egyflash plugin számára a Mozilla számára. Megpróbálta telepíteni, függőségi hibát kaptam.

Megpróbálta telepíteni az Ubuntu Restricted Extrákon keresztül az Ubuntu Software Center-től, de a telepítés flash plugin része nem működött a függőségi hiba miatt.

Tartotta a keresést, és megtalálta ezt a parancsot a bővítmény telepítéséhez

sudo apt-get install flashplugin-nonfree

és elfuttatta a terminálból.

Ugyanaz a függőségi hiba ezzel a kimenettel:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

MEGOLDÁS:

Futottam

sudo apt-get install -f 

majd

sudo apt-get update 

amit találtam egy másik, a függőségek megoldására törekvő bejegyzésből.

Akkor futottam

sudo apt-get install flashplugin-nonfree

és a flash plugin most működik a Chromiumon és a Firefoxban.

    
válasz adott Joel 02.10.2012 17:55
forrás
1

A telepítés módjától függ. van tar.gz fájl vagy rpm vagy más módszer segítségével. Van egy csomó módja annak, hogy villanjon.

Download link: https://get.adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the prompt type:
        + sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Bónusz:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
    
válasz adott Revanth Kumar 02.05.2015 03:59
forrás
0

Sok kérdést választottam erről a témáról az elmúlt héten. Végül találtam egy kapcsolatot egy megoldással, amely működik:

link

Alapvetően a válasz az, hogy úgy tűnik, hogy eltávolítják az összes szoftver forrásból, és le kell töltenie egy régi verziót, és manuálisan kell telepítenie

    
válasz adott palbeda 12.04.2017 16:33
forrás
0
  

A Linux nem támogatja többé az Adobe Flash Player szolgáltatást. Ezért ezt manuálisan kell végrehajtania.

  

Ezt csak a Firefox-ban ellenőrizted, ha nincs Chrome / Chromium telepítésed.

Az Adobe Flash Player Ubuntu kézi telepítésének eljárása az alábbi lépéseket követheti: -

  1. Nyissa meg a linket . Automatikusan javasol egy verziót az asztali környezetednek megfelelően.

  2. Válassza a.tar.gz for Linux opciót a képernyőkép alatt látható módon.

  3. Most kattintson a Letöltés gomb (A letöltési útvonal kiválasztása Letöltések ) a könnyű hozzáférés érdekében.

  4. Most húzza ki a fájlt aRight clicking -ban a mappában és válassza ki aExtract Here opciót.

  5. Nyissa meg a Terminál CTRL+ALT+T parancsot, és másolja le a parancs alatti parancsot

    5.1. cd ../

    5.2. cd your-pc-name (pl. papír96)

    5.3. cd Downloads (ez a mappa, ahonnan letöltötte a fájlt 3. opció ).

    5.4. cd flash_player_npapi_linux.x86_64 (A fájl neve eltérő lehet, csak a fájl másolatának neve, és illessze be a terminálba)

    5,5. sudo mv libflashplayer.so \/usr/lib/firefox-addons/plugins találja meg az enter-t és az azt.

  6. Most zárja be a böngészőjét (Firefox) és a terminált.

  7. Indítsa újra a Firefoxot, és most már rendelkezel Flash Playerrel a böngésződben. Keresse fel ezt a linket az ellenőrzéshez.

válasz adott Pankaj Gautam 17.07.2017 09:52
forrás